{% extends 'admin/admin.html.twig' %}

{% block title %}Admin : Utilisateur{% endblock %}

{% block javascripts %}
    <script src="{{ asset('assets/js/template/admin/user/list.js') }}"></script>
    <script src="{{ asset('assets/js/class/Pagination.js') }}"></script>
    <script src="{{ asset('assets/js/class/Table.js') }}"></script>
    {{ parent() }}
{% endblock %}


{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('assets/css/admin/utilisateur.css') }}">
    {{ parent() }}
{% endblock %}

{% block content %}

    {% set idTable = "users" %}

    {% set tableSearch %}
        <tr class="search-ligne">
            <th colspan="999" class="en-dev">
                <div class="th-search">
                    <div>
                        <label for="search-name">Nom</label>
                        <input name="search-name" id="search-name">
                    </div>
                    <div>
                        <label for="search-lastname">Prénom</label>
                        <input name="search-lastname" id="search-lastname">
                    </div>
                    <div>
                        <label for="search-pseudo">Pseudo</label>
                        <input name="search-pseudo" id="search-pseudo">
                    </div>
                    <div>
                        <label for="search-role">Rôle</label>
                        <select name="search-role" id="search-role">
                            <option value="ROLE_USER">Compte non activé</option>
                            <option value="ROLE_CITOYEN">Citoyen</option>
                            <option value="ROLE_MODO">Modérateur</option>
                            <option value="ROLE_ADMIN">Administrateur</option>
                            <option value="ROLE_SUPER_ADMIN">Super Administrateur</option>
                        </select>
                    </div>
                    <div>
                        <button type="button" id="btn-search-resource">Rechercher</button>
                    </div>
                </div>
            </th>
        </tr>
    {% endset %}

    {% set tableHeader %}
        <tr>
            <th>Nom</th>
            <th>Prénom</th>
            <th>Pseudo</th>
            <th>Email</th>
            <th>Role</th>
            <th>Créer</th>
            <th>Modifier</th>
            <th>Action</th>
        </tr>
    {% endset %}

    {% set tablePagination = true %}

    {% include("/admin/tableau.html.twig") %}

{% endblock %}